<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.2/css/bootstrap.min.css"
      integrity="sha384-Smlep5jCw/wG7hdkwQ/Z5nLIefveQRIY9nfy6xoR1uRYBtpZgI6339F5dgvm/e9B" crossorigin="anonymous">

<p>signed as {{user.username}}  <a href="/accounts/logout">logout</a></p>
<a href="/accounts/profile">back</a>
<br/>

<strong>ACTIVE QUESTS:</strong>
{% if quest_list %}
    <ul>
    {% for quest in quest_list %}
        <li>
            <p>{{quest.questName}}, reward: {{quest.rewardGold}} gold {{quest.rewardXP}} xp</p>
            <p>This quest is sent to {{quest.user.username}}</p>
            <form method="post">
                {% csrf_token %}
                <button name="Accept">
                    Accept
                    <input type="hidden" name="verdict" value="accepted">
                    <input type="hidden" name="id" value="{{quest.id}}">
                </button>
            </form>
            <form method="post">
                {% csrf_token %}
                <button name="Reject">
                    Reject
                    <input type="hidden" name="verdict" value="rejected">
                    <input type="hidden" name="id" value="{{quest.id}}">
                </button>
            </form>
        </li>
    {% endfor %}
    </ul>
{% else %}
    <p>No quests are available.</p>
{% endif %}

<strong>NEW QUEST:</strong>
<form method="post">
    {% csrf_token %}
    <p>Quest name</p>
    <input name="quest_name">
    <br/>
    <p>Reward in gold</p>
    <input name="quest_gold">
    <br/>
    <p>Reward in XP</p>
    <input name="quest_xp">
    <br/>
    <p>Reward in points</p>
    <input name="quest_pts">
    <br/>
    <p>HP Penalty on fail</p>
    <input name="quest_hp">
    <br/>
    <p>Quest receiver</p>
    <input name="quest_user">
    <br/>
    <p>Task text</p>
    <textarea name="quest_text"></textarea>
    <br/>
    <input type="submit">
</form>